cURL
curl --request GET \
--url https://api.payrollintegrationsapp.com/v1/payroll-connections/{payroll_connection}/employee-data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.payrollintegrationsapp.com/v1/payroll-connections/{payroll_connection}/employee-data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.payrollintegrationsapp.com/v1/payroll-connections/{payroll_connection}/employee-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "11111111-1111-1111-1111-111111111111",
"employeeProfiles": [
{
"id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa"
}
],
"employeeSummary": {
"addresses": [
{
"address1": "123 Main St",
"address2": "Apt 4B",
"city": "San Francisco",
"countryCode": "US",
"state": "CA",
"zip": "94102"
}
],
"adjustedServiceDate": null,
"contact": {
"emailPersonal": null,
"emailWork": "john.doe@example.com",
"phoneNumberPersonal": null,
"phoneNumberPersonalHome": null,
"phoneNumberPersonalMobile": "+11235550123",
"phoneNumberWork": null,
"phoneNumberWorkHome": null,
"phoneNumberWorkMobile": null
},
"dateOfBirth": "1985-06-15",
"employmentStatus": "A",
"employmentType": "F",
"firstName": "John",
"hireDate": "2020-03-15",
"isContractor": false,
"lastName": "Doe",
"leaveEndDate": null,
"leaveStartDate": null,
"maritalStatus": "M",
"middleName": "Robert",
"payFrequency": "BI_WEEKLY",
"payRates": [
{
"amount": "75000.00",
"default": true,
"type": "ANNUAL"
}
],
"payrollConnectionId": "00000000-0000-0000-0000-000000000000",
"payrollPlatformDisplayIdentifier": "EMP-12345",
"payrollPlatformEmployeeIdentifier": "PPL-98765",
"payType": "S",
"rehireDate": null,
"seniorityDate": "2020-03-15",
"sex": "M",
"ssn": "123-45-6789",
"terminationDate": null
},
"updatedAt": "2024-03-15T14:30:00Z"
},
{
"id": "22222222-2222-2222-2222-222222222222",
"employeeProfiles": [
{
"id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb"
},
{
"id": "cccccccc-cccc-cccc-cccc-cccccccccccc"
}
],
"employeeSummary": null,
"updatedAt": "2024-03-15T14:30:00Z"
}
],
"meta": {
"currentCount": 2,
"filters": {
"updatedAt": {
"gte": "2024-01-01T00:00:00Z"
}
},
"limit": 20,
"offset": 0,
"sort": "lastName",
"totalCount": 2
}
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}Employee Data
List Employee Data
Returns a list of employee data for a payroll connection
GET
/
v1
/
payroll-connections
/
{payroll_connection}
/
employee-data
cURL
The
employeeSummary field will be null when an employee has multiple profiles. In that case, query the individual profiles using the employeeProfiles array to retrieve the full employee data for each profile.
Authorizations
Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .
Path Parameters
ID of the payroll connection
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Query Parameters
Maximum number of records to return
Required range:
1 <= x <= 4294967295Number of records to skip from the beginning
Required range:
0 <= x <= 4294967295Comma-separated list of fields to sort by. Prefix with - for descending order
Pattern:
^(-?\w{1,100})(?:,(-?\w{1,100})){0,2}$